### Method

# Gtk MediaStream unrealize

#### Declaration [src]

    void
    gtk_media_stream_unrealize (
      GtkMediaStream* self,
      GdkSurface* surface
    )

#### Description [src]

Undoes a previous call to gtk_media_stream_realize().

This causes the stream to release all resources it had allocated from `surface`.

#### Parameters

`surface`

  Type: `GdkSurface`

  The `GdkSurface` the stream was realized with.

  The data is owned by the caller of the method.